Results 1 to 2 of 2

Thread: Updated ruby and xcode, can't compile old sencha touch application

  1. #1
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default Updated ruby and xcode, can't compile old sencha touch application

    Hi al,
    I've recently updated ruby and xcode for a new project and now I can't create the package of an old sencha touch 2.4.2 app. I was using sencha cmd 3.1.2 but it doesn't work because it requires ruby < 2.0 and if I try to install ruby 1.8 or ruby 1.9 it throws an errore while installing [email protected]
    Code:
    ==> ../configure --build=x86_64-apple-darwin17.7.0 --prefix=/usr/local/Cellar/[email protected]/6.4.0_2 --libdir=/usr/local/Cellar/[email protected]/6.4.0_2/lib/gcc/6 --enable-languages=c,c++,objc,obj-c$==> make bootstrap
    Last 15 lines from /Users/andreacastellini/Library/Logs/Homebrew/[email protected]/02.make:
          lto_end_uncompression(lto_compression_stream*) in libbackend.a(lto-compress.o)
          lto_end_uncompression(lto_compression_stream*) in libbackend.a(lto-compress.o)
      "_zError", referenced from:
          lto_end_compression(lto_compression_stream*) in libbackend.a(lto-compress.o)
          lto_end_uncompression(lto_compression_stream*) in libbackend.a(lto-compress.o)
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make[3]: *** [cc1] Error 1
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make[3]: *** [cc1plus] Error 1
    rm gcc.pod
    make[2]: *** [all-stage1-gcc] Error 2
    make[1]: *** [stage1-bubble] Error 2
    make: *** [bootstrap] Error 2
    I've tried to update sencha cmd to 4.0.5, upgrade the app but it stucks at this
    Code:
    [INF] -detect-app-build-properties:
    [INF] Loading app json manifest...
    [INF] Loading classpath entry /Users/andreacastellini/Desktop/pollini_touch_10.6/touch/src
    [INF] Loading classpath entry /Users/andreacastellini/Desktop/pollini_touch_10.6/app.js
    [INF] Loading classpath entry /Users/andreacastellini/Desktop/pollini_touch_10.6/app
    [INF] Loading classpath entry /Users/andreacastellini/Desktop/pollini_touch_10.6/build/temp/package/PolliniTouch/sencha-compiler/app
    I've not the time to upgrade the application to ExtJS 6, is there something I can do?

    Thanks

  2. #2
    Sencha User
    Join Date
    Mar 2013
    Posts
    40
    Answers
    1

    Default

    Up

Similar Threads

  1. Xcode version for Sencha touch 2
    By TechnoSpider in forum Sencha Touch 2.x: Q&A
    Replies: 1
    Last Post: 13 Jan 2013, 7:55 AM
  2. Sencha Touch + PhoneGap + Xcode 4
    By [email protected] in forum Sencha Touch 1.x: Discussion
    Replies: 3
    Last Post: 4 Nov 2012, 9:48 PM
  3. sencha touch 2 in xcode webview
    By foolofatook in forum Sencha Touch 2.x: Q&A
    Replies: 4
    Last Post: 2 Apr 2012, 8:22 AM
  4. XCode Style Notification Popup with Sencha Touch
    By uptown in forum Sencha Touch 2.x: Q&A
    Replies: 2
    Last Post: 22 Dec 2011, 12:24 PM
  5. Can we test a Sencha touch Application in Xcode for Ios?
    By myput in forum Sencha Touch 1.x: Q&A
    Replies: 2
    Last Post: 13 Sep 2011, 7:08 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •